2026-08-12  R. Bernstein <rocky@users.noreply.github.com>

	* : Merge pull request #76 from libcdio/release-2.4.0 Release 2.4.0 (Update NEWS, copyrights, add extra data files).

2026-08-11  R. Bernstein <rocky@gnu.org>

	* NEWS.md, THANKS: Update NEWS for recent fixes

2026-08-11  R. Bernstein <rocky@gnu.org>

	* test/.gitignore: More ignore

2026-08-11  R. Bernstein <rocky@gnu.org>

	* test/Makefile.am, test/data/Makefile.am: Correct xa testing in
	distcheck

2026-08-11  R. Bernstein <rocky@gnu.org>

	* src/Makefile.am, test/Makefile.am, test/data/Makefile.am: Include
	xa.iso in distribution

2026-08-11  R. Bernstein <rocky@gnu.org>

	* .gitignore, ChangeLog-spell-corrected.diff, NEWS.md, THANKS,
	configure.ac, doc/libcdio.texi, lib/cdio++/Makefile.am,
	lib/driver/Makefile.am, lib/iso9660/Makefile.am,
	lib/udf/Makefile.am: Get ready for release 2.4.0

2026-08-11  R. Bernstein <rocky@users.noreply.github.com>

	* : Merge pull request #82 from acts-1631/fix-udf-file-entry-bounds udf: validate file entry allocation descriptor bounds

2026-08-11  R. Bernstein <rocky@users.noreply.github.com>

	* : Merge pull request #81 from acts-1631/fix-rock-ridge-ce-bounds iso9660: bound Rock Ridge continuation areas

2026-08-11  R. Bernstein <rocky@users.noreply.github.com>

	* : commit 7f2d8ff7e8f7ca7e1f4b1660153a7dd095ed48ce Author: Acts1631
	<acts1631kjv@proton.me> Date:   Tue Aug 11 12:10:00 2026 -0400

2026-08-11  Acts1631 <acts1631kjv@proton.me>

	* lib/iso9660/rock.c: iso9660: bound Rock Ridge continuation ranges A malformed Rock Ridge CE record could make the parser read beyond
	its one-block continuation buffer, crashing applications that
	inspect untrusted ISO images.  Reject continuation ranges that extend past the loaded block.

2026-08-11  R. Bernstein <rocky@users.noreply.github.com>

	* : Merge pull request #80 from
	acts-1631/fix-cdrdao-pretrack-directives cdrdao: reject directives before tracks

2026-08-11  Acts1631 <acts1631kjv@proton.me>

	* test/data/Makefile.am, test/data/bad-tracknum-overflow.toc,
	test/driver/cdrdao.c: test: cover cdrdao 101-track rejection Add a TOC with exactly 101 tracks to exercise the leadout-slot
	boundary in the CDRDAO parser.

2026-08-11  Acts1631 <acts1631kjv@proton.me>

	* lib/driver/image/cdrdao.c, lib/driver/mmc/mmc.c: cdrdao: reject
	directives before tracks Malformed CDRDAO TOCs could apply track directives before a TRACK
	entry and corrupt parser state. A later MMC-sense query then read
	past the image object.  Reject pre-track directives and bound the recorded sense length
	before copying it.

2026-08-11  R. Bernstein <rocky@users.noreply.github.com>

	* : Merge pull request #78 from
	acts-1631/fix-rock-ridge-record-bounds iso9660: bound Rock Ridge extension parsing

2026-08-11  Acts1631 <acts1631kjv@proton.me>

	* lib/driver/image/cdrdao.c: cdrdao: enforce maximum track count A malformed CDRDAO TOC with 101 TRACK directives wrote past the
	track array, causing applications that open untrusted images to
	crash.  Reject a new TRACK directive before it consumes the leadout array
	entry.

2026-08-11  Acts1631 <acts1631kjv@proton.me>

	* lib/iso9660/iso9660_fs.c, lib/iso9660/rock.c: iso9660: bound Rock
	Ridge extension parsing Malformed Rock Ridge extensions could make directory enumeration
	read past the containing ISO directory record, crashing applications
	that inspect untrusted images.  Validate directory-record layout and extension payload lengths
	before reading extension fields. Also handle symlink-buffer
	allocation failure before writing through the buffer.

2026-08-11  Acts1631 <acts1631kjv@proton.me>

	* lib/driver/image/nrg.c: nrg: validate footer chunk boundaries Malformed NRG footers could make the parser read past its footer
	buffer, causing a process crash when applications open untrusted
	images.  Validate footer offsets, reads, chunk headers, and chunk payload
	lengths before parsing them. Reject footers without track data
	before synthesizing leadout state.

2026-08-11  R. Bernstein <rocky@users.noreply.github.com>

	* doc/libcdio.texi: Update copyright year in libcdio documentation

2026-08-11  R. Bernstein <rocky@users.noreply.github.com>

	* doc/libcdio.texi: Fix grammar and clarity issues in libcdio
	documentation Correct various grammatical errors and improve clarity throughout
	the document.

2026-08-11  R. Bernstein <rocky@users.noreply.github.com>

	* doc/cd-text-format.html: Fix typos and formatting in
	cd-text-format.html

2026-08-11  R. Bernstein <rocky@users.noreply.github.com>

	* doc/cd-text-format.texi: Fix typos and improve text clarity in
	documentation

2026-08-11  R. Bernstein <rocky@users.noreply.github.com>

	* doc/glossary.texi: Fix grammar and punctuation in glossary.texi Corrected grammar and punctuation errors throughout the glossary.

2026-08-11  R. Bernstein <rocky@users.noreply.github.com>

	* : Merge pull request #75 from libcdio/lint-like-changes Change MMC5 references to MMC6 2g when possible.  Same small clang-format and doxgygen reformatting, especially on
	`devices.h` as a test.

2026-08-10  R. Bernstein <rocky@gnu.org>

	* example/audio.c, include/cdio++/cdtext.hpp,
	include/cdio++/device.hpp, include/cdio++/devices.hpp,
	include/cdio++/disc.hpp, include/cdio++/iso9660.hpp,
	include/cdio++/read.hpp, include/cdio++/track.hpp,
	include/cdio/audio.h, include/cdio/cd_types.h,
	include/cdio/cdtext.h, include/cdio/ecma_167.h,
	include/cdio/iso9660.h, include/cdio/memory.h,
	include/cdio/posix.h, include/cdio/read.h, include/cdio/rock.h,
	include/cdio/scsi_mmc.h, include/cdio/sector.h,
	include/cdio/track.h, include/cdio/types.h, include/cdio/udf.h,
	include/cdio/udf_time.h, include/cdio/util.h,
	include/cdio/version.h.in, include/cdio/xa.h,
	lib/cdio++/devices.cpp, lib/cdio++/iso9660.cpp,
	lib/driver/FreeBSD/freebsd.c, lib/driver/FreeBSD/freebsd.h,
	lib/driver/FreeBSD/freebsd_cam.c,
	lib/driver/FreeBSD/freebsd_ioctl.c, lib/driver/MSWindows/aspi32.c,
	lib/driver/MSWindows/aspi32.h, lib/driver/MSWindows/win32.c,
	lib/driver/MSWindows/win32.h, lib/driver/MSWindows/win32_ioctl.c,
	lib/driver/_cdio_generic.c, lib/driver/_cdio_stdio.c,
	lib/driver/_cdio_stdio.h, lib/driver/aix.c, lib/driver/audio.c,
	lib/driver/cdio.c, lib/driver/cdio_private.h, lib/driver/cdtext.c,
	lib/driver/cdtext_private.h, lib/driver/device.c,
	lib/driver/disc.c, lib/driver/generic.h, lib/driver/gnu_linux.c,
	lib/driver/image.h, lib/driver/image/bincue.c,
	lib/driver/image/cdrdao.c, lib/driver/image/nrg.c,
	lib/driver/image_common.c, lib/driver/image_common.h,
	lib/driver/memory.c, lib/driver/mmc/mmc_private.h,
	lib/driver/mmc/mmc_util.c, lib/driver/netbsd.c, lib/driver/read.c,
	lib/driver/realpath.c, lib/driver/sector.c, lib/driver/solaris.c,
	lib/driver/track.c, lib/iso9660/iso9660.c,
	lib/iso9660/iso9660_fs.c, lib/iso9660/rock.c, lib/iso9660/xa.c,
	lib/udf/filemode.c, lib/udf/udf.c, lib/udf/udf_file.c,
	lib/udf/udf_fs.c, lib/udf/udf_time.c, src/cd-drive.c, src/cddb.c,
	src/cddb.h, src/util.c, src/util.h: For Doxygen consistency replace
	"/*!" with "/**"

2026-08-10  R. Bernstein <rocky@users.noreply.github.com>

	* include/cdio/mmc.h: Fix typo in documentation from 'SPCS-3' to
	'SPC-3'

2026-08-10  R. Bernstein <rocky@users.noreply.github.com>

	* include/cdio/dvd.h: Fix typo in documentation comment for dvd.h

2026-08-10  R. Bernstein <rocky@gnu.org>

	* include/cdio/dvd.h, include/cdio/mmc.h,
	include/cdio/mmc_ll_cmds.h: Change MMC5 references to MMC6 2g when
	possible.

2026-08-10  R. Bernstein <rocky@users.noreply.github.com>

	* : Merge pull request #72 from libcdio/mmc-timeout Correct `configure` test for `timeout` field in
	`cdrom_generic_command`

2026-08-08  R. Bernstein <rocky@gnu.org>

	* configure.ac, src/Makefile.am: help2man absence tolerance Ignore manual-building failures when maintainer-mode is not enabled
	However require help2man when maintainer-mode is enabled.  Give a
	message when help2man isn't found that manual pages can't be
	created.  Fixes #65

2026-08-08  R. Bernstein <rocky@users.noreply.github.com>

	* : Merge pull request #71 from libcdio/revise-mmc * Run clang-format over dvd.h * Go over dvd.h for MMC 6-2g spec.  * Add note for issue Field min_rate in cdio_dvd_struct_t should be
	named max_rate #68

2026-08-07  R. Bernstein <rocky@gnu.org>

	* configure.ac: Correct configure test for timeout field in
	cdrom_generic_command Also bump version to 2.4.0dev0

2026-08-07  R. Bernstein <rocky@gnu.org>

	* .gitignore, include/cdio/dvd.h: Run clang-format over dvd.h

2026-08-07  R. Bernstein <rocky@gnu.org>

	* include/cdio/dvd.h: Go over dvd.h for MMC 6-2g spec.  Add note for issue #68

2026-08-07  R. Bernstein <rocky@users.noreply.github.com>

	* : Merge pull request #67 from libcdio/eject-needs-rw-mode GNU/Linux needs access mode RDWR

2026-08-03  rocky <rb@dustyfeet.com>

	* .github/workflows/mingw.yml: Add texinfo to mingw dependencies

2026-08-03  rocky <rb@dustyfeet.com>

	* configure.ac: Bump version to dev

2026-07-24  R. Bernstein <rocky@users.noreply.github.com>

	* : Merge pull request #62 from acts-1631/fix-nrg-track-mappings nrg: bound parsed track mappings

2026-07-24  R. Bernstein <rocky@users.noreply.github.com>

	* : Merge pull request #63 from acts-1631/fix-udf-fid-bounds udf: validate File Identifier Descriptor bounds

2026-07-22  Acts1631 <acts1631kjv@proton.me>

	* test/check_udf.sh.in, test/data/Makefile.am: test: cover malformed
	UDF File Identifier Descriptor Add a UDF image whose File Identifier Descriptor points its filename
	outside the directory sector and verify extraction completes safely.

2026-07-22  Acts1631 <acts1631kjv@proton.me>

	* test/data/Makefile.am, test/driver/nrg.c: test: cover oversized
	NRG track mappings Add an NRG image declaring more than the supported track count and
	assert that the NRG driver rejects it.

2026-07-21  Acts1631 <acts1631kjv@proton.me>

	* lib/udf/udf_fs.c: udf: validate File Identifier Descriptor bounds Malformed UDF File Identifier Descriptor lengths can point filename
	decoding past the allocated directory buffer. This causes an
	out-of-bounds read while enumerating a hostile image.  Validate descriptor sizes, directory extent arithmetic, and filename
	ranges before advancing or decoding a descriptor.

2026-07-21  Acts1631 <acts1631kjv@proton.me>

	* lib/driver/image/nrg.c: nrg: bound parsed track mappings A crafted CUEX, CUES, ETNF, or ETN2 chunk could register more tracks
	than the fixed track table holds. This writes past the parser's heap
	allocation.  Reject excess mappings before accessing the table and make the
	shared registration helper fail when the table is full.

2026-06-29  R. Bernstein <rocky@users.noreply.github.com>

	* : Merge pull request #61 from skr4n/fix-mmc-alloclen mmc: Deprecate obscure set length macros

2026-06-28  Shiva Kiran Koninty <shiva@skran.xyz>

	* example/mmc2.c, example/read-disc-struct.c, include/cdio/mmc.h,
	lib/driver/FreeBSD/freebsd_cam.c, lib/driver/MSWindows/aspi32.c,
	lib/driver/MSWindows/win32_ioctl.c, lib/driver/aix.c,
	lib/driver/gnu_linux.c, lib/driver/mmc/mmc.c,
	lib/driver/mmc/mmc_ll_cmds.c, src/util.c: mmc: Deprecate
	CDIO_MMC_SET_READ_LENGTH16 The macro sets the CDB allocation length value at bytes 7 and 8. Not
	all MMC commands expect the allocation length value at that
	positions, e.g. READ DVD STRUCTURE which expects it at bytes 8 and
	9, causing mayhem.  Since this macro is part of the public API, mark it for deprecation.

2026-06-28  Shiva Kiran Koninty <shiva@skran.xyz>

	* lib/driver/mmc/mmc_cmd_helper.h, lib/driver/mmc/mmc_ll_cmds.c:
	mmc: Remove obscure MMC_CMD_SETUP_READ16 The macro only calls two other macros, not really helping with
	reduction of boilerplate. Along the way it obscures things by e.g.
	setting the CDB length at bytes 7 and 8 also on commands that do not
	have such.  Thus it has already been prone to misuse and therefore best be
	removed.

2026-06-26  R. Bernstein <rocky@users.noreply.github.com>

	* : Merge pull request #60 from skr4n/fix-mmc-alloclen mmc: Fix incorrect allocation len in MMC request

2026-06-11  R. Bernstein <rocky@users.noreply.github.com>

	* : Merge pull request #57 from skr4n/safe-strtok Use thread safe variant of strtok

2026-06-10  Shiva Kiran Koninty <shiva@skran.xyz>

	* configure.ac, lib/driver/image/bincue.c,
	lib/driver/image/cdrdao.c, lib/driver/portable.h: Use thread safe
	variant of strtok

2026-06-10  Shiva Kiran Koninty <shiva@skran.xyz>

	* lib/iso9660/xa.c, test/testiso9660.c: iso9660/xa: Fix
	iso9660_get_xa_attr_str() and add tests This method uses the *SYS values of the XA attribute flags to
	represent the other/world user mode bits.  Fix it to use the *OTH values instead, and add validation tests.

2026-06-10  Shiva Kiran Koninty <shiva@skran.xyz>

	* include/cdio/xa.h: iso9660/xa: Correct XA attribute flags The enum values of `xa_misc_enum_t` and thereby, the methods that
	used them produce incorrect file attribute bits, specifically the
	permission bits.  This has been verified with the mkisofs tool.  Therefore, fix the values as per the below mentioned source.  Source:

	https://psx-spx.consoledev.net/cdromformat/#format-of-a-directory-recordDiscussion: https://github.com/libcdio/libcdio/discussions/55

2026-06-05  R. Bernstein <rocky@users.noreply.github.com>

	* : Merge pull request #52 from skr4n/thread-safety Use thread locals in recursion check to allow for multi threaded use

2026-06-03  Shiva Kiran Koninty <shiva@skran.xyz>

	* lib/driver/logging.c, lib/driver/portable.h: Use thread locals in
	recursion check to allow for multi threaded use libcdio's log methods have a recursion check that uses a global
	static. While originally intended to prevent recursion, it also
	introduced a side effect that caused multi threaded programs to
	abort due to the check causing an assert call.  Use a thread local static to keep the recursion check and prevent
	program abort during multi threaded use.

2026-06-03  R. Bernstein <rocky@users.noreply.github.com>

	* : Merge pull request #53 from skr4n/patch-1 Fix macOS workflows due to incompatible libiconv

2026-02-24  R. Bernstein <rocky@users.noreply.github.com>

	* include/cdio/iso9660.h: Improve grammar and spelling in iso9660.h

2026-02-21  R. Bernstein <rocky@users.noreply.github.com>

	* README.md: Update README.md

2026-02-20  R. Bernstein <rocky@users.noreply.github.com>

	* README.md: Fix grammar and clarity issues in README Corrected grammatical errors and improved clarity in the README.

2026-02-12  R. Bernstein <rocky@users.noreply.github.com>

	* : Merge pull request #48 from heitbaum/const Fix `-Wdiscarded-qualifiers` warning by retaining the `const`
	qualifier from the pointer.

2026-02-02  R. Bernstein <rocky@gnu.org>

	* doc/2026-summer-of-code.md: Add 2026 SOC project

2026-01-16  R. Bernstein <rocky@users.noreply.github.com>

	* : Merge pull request #46 from pcahyna/CVE-number-in-NEWS Add CVE number to the fix entry in NEWS

2026-01-01  R. Bernstein <rocky@users.noreply.github.com>

	* : Merge pull request #45 from RavuAlHemio/udf_read_block-docs Fix udf_read_block docs (count blocks, not bytes)

2025-12-23  R. Bernstein <rocky@users.noreply.github.com>

	* : Merge pull request #43 from libcdio/release-20201.rc1 Release 2.3.0

2025-12-15  R. Bernstein <rocky@users.noreply.github.com>

	* : Merge pull request #44 from adrianreber/2025-12-15-format-string Fix format string mismatch

2025-12-11  R. Bernstein <rocky@gnu.org>

	* NEWS.md, include/cdio/device.h: Remove doxygen warning

2025-12-11  R. Bernstein <rocky@gnu.org>

	* NEWS.md, THANKS: Update NEWS.md and Thanks.

2025-12-11  R. Bernstein <rocky@gnu.org>

	* ChangeLog-spell-corrected.diff, ChangeLog.spell-corrected:
	Administrivia

2025-12-11  R. Bernstein <rocky@gnu.org>

	* Makefile.am: Update ChangeLog creation

2025-12-11  R. Bernstein <rocky@gnu.org>

	* .gitignore: Ignore admin-tools for now

2025-12-11  R. Bernstein <rocky@gnu.org>

	* doc/glossary.texi: move @anchor outside of @item

2025-12-11  R. Bernstein <rocky@gnu.org>

	* configure.ac, doc/2006-summer-of-code.txt,
	doc/cd-text-format.texi, doc/glossary.texi,
	doc/how-to-make-a-release.md, doc/libcdio.texi,
	include/cdio/cd_types.h, include/cdio/device.h,
	include/cdio/ecma_167.h, include/cdio/mmc.h,
	include/cdio/mmc_ll_cmds.h, include/cdio/rock.h,
	include/cdio/track.h, include/cdio/utf8.h, include/cdio/xa.h,
	lib/cdio++/devices.cpp, lib/cdio++/iso9660.cpp,
	lib/driver/MSWindows/win32.c, lib/driver/MSWindows/win32_ioctl.c,
	lib/driver/Makefile.am, lib/driver/_cdio_generic.c,
	lib/driver/_cdio_stdio.c, lib/driver/aix.c, lib/driver/cd_types.c,
	lib/driver/cdio_private.h, lib/driver/cdtext.c,
	lib/driver/device.c, lib/driver/image.h, lib/driver/image/bincue.c,
	lib/driver/image/cdrdao.c, lib/driver/image/nrg.c,
	lib/driver/memory.c, lib/driver/mmc/mmc.c,
	lib/driver/mmc/mmc_ll_cmds.c, lib/driver/mmc/mmc_private.h,
	lib/driver/mmc/mmc_util.c, lib/driver/osx.c, lib/driver/track.c,
	lib/iso9660/Makefile.am, lib/iso9660/iso9660.c,
	lib/iso9660/iso9660_private.h, lib/udf/filemode.c,
	lib/udf/udf_fs.c, parse/toc.y, src/iso-info.c, src/mmc-tool.c,
	src/util.c, src/util.h, test/check_cue.sh.in,
	test/check_iso_read.sh.in, test/data/t9.toc,
	test/driver/mmc_read.c, test/testgetdevices.c, test/testiso9660.c:
	Numerous spelling corrections via codespell

2025-12-11  R. Bernstein <rocky@gnu.org>

	* ChangeLog-spell-corrected.diff, configure.ac: Get ready for
	release 20201.rc1

2025-12-11  R. Bernstein <rocky@users.noreply.github.com>

	* : Merge pull request #42 from libcdio/add-track-limits Add track limit checking on image driver parsers

2025-12-04  R. Bernstein <rocky@gnu.org>

	* lib/driver/image/bincue.c, lib/driver/image/nrg.c: More checks

2025-12-04  R. Bernstein <rocky@gnu.org>

	* lib/driver/image/bincue.c: More track checking

2025-12-04  R. Bernstein <rocky@gnu.org>

	* .github/ISSUE_TEMPLATE/config.yml, ChangeLog.spell-corrected,
	doc/cd-text-format.html, lib/driver/image/cdrdao.c,
	lib/driver/image_common.h, test/data/Makefile.am,
	test/data/bad-tracknum-exceeded.cue,
	test/data/bad-tracknum-exceeded.toc, test/driver/bincue.c,
	test/driver/cdrdao.c: More checks drivers for CDIO_CD_MAX_TRACKS

2025-10-28  R. Bernstein <rocky@users.noreply.github.com>

	* : Merge pull request #41 from libcdio/more-thanks Update who we are indebted to.

2025-10-28  UltraFuzzy <>

	* lib/iso9660/iso9660.c, test/testiso9660.c: Tiny change to iso9660
	offset handling. iso9660 test code simplified.

2025-10-21  UltraFuzzy <>

	* test/testiso9660.c: Fix timezone names in iso9660 test to make
	test passable on Linux.

2025-10-20  UltraFuzzy <>

	* lib/iso9660/iso9660.c, test/testiso9660.c: Fix ISO 9660 timezone
	offset signs, add extreme timezone tests.

2025-10-21  R. Bernstein <rocky@gnu.org>

	* THANKS: Update who we are indebted to.

2025-10-15  R. Bernstein <rocky@users.noreply.github.com>

	* : Merge pull request #39 from UltraFuzzy/macos-hwinfo-fix Iterate up IOKit registry parents instead of string matching.

2025-10-05  R. Bernstein <rocky@users.noreply.github.com>

	* : Merge pull request #37 from UltraFuzzy/cdio_get_driver_fd Add cdio_get_device_fd()

2025-10-01  UltraFuzzy <>

	* lib/driver/MSWindows/win32.c: Revise comment on
	get_device_fd_win32().

2025-10-01  UltraFuzzy <>

	* lib/driver/MSWindows/win32.c: Add Windows implementation of
	cdio_get_device_fd().

2025-09-29  UltraFuzzy <>

	* lib/driver/Makefile.am: Increment libcdio_la_CURRENT and
	libcdio_la_AGE.

2025-09-29  UltraFuzzy <>

	* include/cdio/device.h, lib/driver/FreeBSD/freebsd.c,
	lib/driver/MSWindows/win32.c, lib/driver/_cdio_generic.c,
	lib/driver/aix.c, lib/driver/cdio_private.h, lib/driver/device.c,
	lib/driver/generic.h, lib/driver/gnu_linux.c,
	lib/driver/image/bincue.c, lib/driver/image/cdrdao.c,
	lib/driver/image/nrg.c, lib/driver/netbsd.c, lib/driver/osx.c,
	lib/driver/solaris.c: Add cdio_get_device_fd()

2025-09-04  R. Bernstein <rocky@users.noreply.github.com>

	* : Merge pull request #34 from
	ermezavx/fix-incorrect-track-length-for-99th-CD-track Fix incorrect track length calculation for the last track on CDs

2025-08-27  R. Bernstein <rocky@users.noreply.github.com>

	* : Merge pull request #33 from khwolf/master Typos in util.c

2025-07-14  R. Bernstein <rocky@users.noreply.github.com>

	* : Merge pull request #32 from Bi11/fix-joliet-filenames Fix buffer overrun for Joliet filenames

2025-06-30  R. Bernstein <rocky@users.noreply.github.com>

	* : Merge pull request #31 from libcdio/respect-FILE-name-inside-cue Respect FILE name value inside cue file

2025-06-21  R. Bernstein <rocky@gnu.org>

	* lib/driver/image/bincue.c, test/cdda.right, test/cdda_4_5.right,
	test/check_cue.sh.in, test/check_opts0.right,
	test/check_opts1.right, test/check_opts2.right,
	test/check_opts3.right, test/check_opts4.right,
	test/check_opts5.right, test/check_opts6.right,
	test/check_opts7.right, test/data/cdda.cue, test/data/cdda2.cue,
	test/data/isofs-m1.cue, test/data/p1.cue, test/driver/bincue.c:
	Respect FILE name value inside cue file Also, adjust check_opts values based on recent change for MCN
	handling

2025-06-08  R. Bernstein <rocky@users.noreply.github.com>

	* : Merge pull request #29 from t-w/lfs_32bit_issue21 autotools: fix LFS support on 32bit systems, #21

2025-05-28  R. Bernstein <rocky@users.noreply.github.com>

	* : Merge pull request #28 from
	brunodev85/joliet-level-on-driver-arg Add joliet-level key to the driver arg

2025-05-21  BrunoSX <brunodeveloper85@gmail.com>

	* lib/driver/image_common.c: Add joliet-level key to the driver arg

2025-05-19  R. Bernstein <rocky@gnu.org>

	* .editorconfig: Add editorconfig based on Rufus' editorconfig

2025-05-14  R. Bernstein <rocky@users.noreply.github.com>

	* : Merge pull request #26 from pbatard/udf_setpos Add udf_setpos() function call

2025-05-14  Pete Batard <pete@akeo.ie>

	* lib/udf/udf_file.c: Fix wrong value being reported in a warning
	message

2025-04-10  R. Bernstein <rocky@users.noreply.github.com>

	* : Merge pull request #25 from ephemeralriggs/issue_24 Fix NULL for C++ compilers

2025-03-30  R. Bernstein <rocky@users.noreply.github.com>

	* : Merge pull request #22 from olda-rosice/master Fixed get MCN on Linux

2025-03-30  Pete Batard <pete@akeo.ie>

	* : Merge pull request #23 from pbatard/fix-mingw-tests Fix MinGW tests

2025-03-29  olda-rosice <oldrich.strazovsky@gmail.com>

	* lib/driver/image/bincue.c, lib/driver/image/cdrdao.c: Fix sector
	count calculations

2025-03-29  olda-rosice <oldrich.strazovsky@gmail.com>

	* lib/driver/image_common.c: Image driver supports ISRC

2025-03-29  olda-rosice <oldrich.strazovsky@gmail.com>

	* lib/driver/gnu_linux.c: Switch get MCN to MMC

2025-02-03  R. Bernstein <rocky@users.noreply.github.com>

	* : Merge pull request #19 from libcdio/iso-option-i-fix iso-info Issue #17

2025-01-22  R. Bernstein <rocky@users.noreply.github.com>

	* : Merge pull request #16 from maxz/fix-typos Fix typos.

2025-01-11  R. Bernstein <rocky@gnu.org>

	* configure.ac: Bump version number

2025-01-11  R. Bernstein <rocky@users.noreply.github.com>

	* : Merge pull request #12 from libcdio/release-2.2.0 Get ready for release 2.2.0

2025-01-09  R. Bernstein <rocky@gnu.org>

	* : commit 420f558f9c07589f36c1d5e10525d9a8b439b150 Merge: f0983da0
	c33133ce Author: R. Bernstein <rocky@users.noreply.github.com> Date:
	Thu Jan 9 18:43:13 2025 -0500

2025-01-09  R. Bernstein <rocky@gnu.org>

	* NEWS.md: Tweak ABI incompatibility message.

2017-07-28  Chris Lamb <chris@chris-lamb.co.uk>

	* configure.ac, doc/doxygen/Doxyfile.in: Drop LIBCDIO_SOURCE_PATH by
	dropping STRIP_FROM_PATH Doxygen setup; it's not used as
	FULL_PATH_NAMES = no

2025-01-09  R. Bernstein <rocky@gnu.org>

	* NEWS.md, configure.ac, lib/cdio++/Makefile.am,
	lib/iso9660/Makefile.am: Get ready for release 2.2.0

2025-01-09  R. Bernstein <rocky@gnu.org>

	* configure.ac: Bump version string

2025-01-07  R. Bernstein <rocky@users.noreply.github.com>

	* : Merge pull request #8 from libcdio/release-2.1.1 Release 2.1.1

2025-01-04  R. Bernstein <rocky@gnu.org>

	* NEWS.md: Note CD-Text available on macOS

2025-01-04  R. Bernstein <rocky@gnu.org>

	* doc/glossary.texi: Correct some URLs

2025-01-04  R. Bernstein <rocky@users.noreply.github.com>

	* doc/libcdio.texi: Update libcdio.texi

2025-01-04  R. Bernstein <rocky@users.noreply.github.com>

	* doc/glossary.texi: Update glossary.texi

2025-01-04  R. Bernstein <rocky@gnu.org>

	* doc/glossary.texi, doc/libcdio.texi: Misc corrections to docs...  * Update most recent spec numbers and update URLs * Revise example output for iso-info and C code for example1

2025-01-03  R. Bernstein <rocky@gnu.org>

	* NEWS.md: Update NEWS make sure to include all of Robert Kausch's good work

2025-01-01  R. Bernstein <rocky@gnu.org>

	* ChangeLog-spell-corrected.diff, ChangeLog.spell-corrected,
	NEWS.md, configure.ac, include/cdio/iso9660.h, src/util.c: Get ready
	for release 2.1.1

2025-01-03  R. Bernstein <rocky@users.noreply.github.com>

	* lib/driver/osx.c: Merge pull request #10 from enzo1982/cdtext-osx Support reading CD-Text on macOS

2025-01-03  R. Bernstein <rocky@users.noreply.github.com>

	* : Merge pull request #9 from enzo1982/cdtext-win32 Support reading CD-Text with the Win32 IOCTL driver

2024-12-24  Pete Batard <pete@akeo.ie>

	* lib/driver/cdtext.c, lib/driver/device.c: Add some boundary checks
	for enums used to access arrays This is mostly to silence some warnings from the Visual Studio
	static analyser.

2024-12-24  Pete Batard <pete@akeo.ie>

	* lib/driver/MSWindows/win32.c, lib/driver/MSWindows/win32_ioctl.c,
	lib/driver/_cdio_generic.c, lib/driver/cdtext.c,
	lib/driver/image/bincue.c, lib/driver/image/cdrdao.c,
	lib/driver/image/nrg.c: Add some more checks for potentially NULL
	buffers Some static analysers complain about parts of our code that don't
	check for the result of malloc/calloc.

2024-12-24  Pete Batard <pete@akeo.ie>

	* .vs/libcdio.vcxproj, lib/driver/MSWindows/aspi32.c,
	lib/driver/MSWindows/win32.c, lib/driver/MSWindows/win32_ioctl.c:
	Use non widestring API calls for MSVC where required When compiling for MSVC with Unicode enabled, the compiler tries to
	use widestring API calls unless otherwise specified. So make sure we
	enforce the use of non widestring (A suffixed) calls when we pass
	char* parameters.  Also fix a warning related to the declaration of is_cdrom_aspi() and
	silence a warning about GetVersion() being deprecated.

2024-12-21  R. Bernstein <rocky@users.noreply.github.com>

	* : Merge pull request #5 from pbatard/warnings Fix multiple warnings

2024-12-21  R. Bernstein <rocky@users.noreply.github.com>

	* : Merge pull request #4 from pbatard/msvc Add Visual Studio 2022 support and MinGW GitHub Actions

2024-12-20  Pete Batard <pete@akeo.ie>

	* .vs/README.txt, .vs/cd-info.vcxproj, .vs/cd-info.vcxproj.filters,
	{MSVC => .vs}/config.h, .vs/libcdio.vcxproj,
	.vs/libcdio.vcxproj.filters, .vs/set_version.ps1, .vs/unistd.h,
	MSVC/README, MSVC/cd-info.vcproj, MSVC/libcdio.sln,
	MSVC/libcdio.vcproj, Makefile.am, include/cdio/types.h, libcdio.sln:
	Add Visual Studio 2022 project files Move and update the MSVC project files to a .vs/ directory since it
	gets created by Visual Studio.  Also remove the XBox specific
	configuration.

2024-12-20  Pete Batard <pete@akeo.ie>

	* src/util.h: Use "..." and "__VA_ARGS__" for variadic macros "..." and "__VA_ARGS__" is pretty much standard and supported by
	compilers like MSVC whereas "args..." and "##args" isn't.

2024-12-20  Pete Batard <pete@akeo.ie>

	* lib/iso9660/iso9660_fs.c: Only use the __attribute__ macro on GNU
	C compilers that support it This improves on commit 771dc256eaf5c94af3926b14febe08184ef283c4, as
	it breaks MSVC compilation otherwise

2024-12-21  Pete Batard <pete@akeo.ie>

	* .github/workflows/mingw.yml: Add MinGW GitHub Actions workflow

2024-12-21  Pete Batard <pete@akeo.ie>

	* .github/workflows/macos.yml, .github/workflows/ubuntu.yml: Clean
	up MacOS and Linux GitHub Actions scripts Be more descriptive about the jobs, and remove the verbose option so
	that any error/warning will pop out.  Also remove set -x which is
	unneeded when there are only a couple of commands being invoked.
	Finally, make sure these apply to any branch, so that people who
	create one to submit a PR will get a GitHub Actions run to validate
	these changes in their repo.

2024-09-30  R. Bernstein <rocky@users.noreply.github.com>

	* : Merge pull request #3 from libcdio/more-CI Try macos testing

2024-09-30  R. Bernstein <rocky@gnu.org>

	* .github/workflows/macos.yml, .github/workflows/{test.yml =>
	ubuntu.yml}: Try macos testing and tweak ubuntu setup

2024-09-27  R. Bernstein <rocky@users.noreply.github.com>

	* : Merge pull request #2 from adrianreber/2024-09-27-actions Add simple GitHub Actions definition

2024-09-09  R. Bernstein <rocky@users.noreply.github.com>

	* : Merge pull request #1 from libcdio/tweaks-for-github Convert a number of README's to markdown...

2024-09-01  John Ernberg <j@j-ernberg.se>

	* lib/driver/cdtext.c, test/cdtext-krosis.right,
	test/check_cdtext.sh: cdtext: Count empty fields as tracks The following CD-TEXT would fail when parsing due to an off-by-one
	in the songwriter data type because the album-level field is empty:     80 0 0 0 41 20 4d 65 6d 6f 69 72 20 6f 66 20 5f 23     80 0 1 c 46 72 65 65 20 57 69 6c 6c 0 47 6f 5b 8d     80 1 2 2 6e 65 20 42 75 74 20 4e 6f 74 20 46 b0 df     80 1 3 e 6f 72 67 6f 74 74 65 6e 0 49 6e 73 9 18     80 2 4 3 61 6e 69 74 79 20 41 20 4d 6f 6e 69 49 27     80 2 5 f 6b 65 72 20 4f 66 20 4d 65 0 54 6f 13 d2     80 3 6 2 20 50 65 72 73 69 73 74 20 6f 72 20 3b 87     80 3 7 e 41 64 68 65 72 65 0 41 6e 20 45 6c 63 87     80 4 8 5 65 67 79 20 66 6f 72 20 61 20 4d 61 bc e6     80 4 9 f 6e 20 41 6c 69 76 65 0 50 73 79 63 93 89     80 5 a 4 68 6f 74 69 63 6c 79 73 6d 0 41 6e d6 a     80 6 b 2 20 49 6e 74 72 61 6d 75 72 61 6c 20 aa b6     80 6 c e 4d 61 64 6e 65 73 73 0 51 75 65 73 b8 0     80 7 d 4 74 69 6f 6e 73 20 6f 66 20 61 20 48 60 11     80 7 e f 6f 6c 69 73 74 69 63 20 44 69 76 69 bb b8     80 7 f f 6e 65 0 57 69 74 68 20 56 69 72 74 60 f5     80 8 10 9 75 65 20 49 20 41 6d 20 46 72 65 65 21 6     80 8 11 f 0 42 61 74 74 6c 65 73 20 41 72 65 a5 b9     80 9 12 b 20 57 6f 6e 20 57 69 74 68 69 6e 0 b0 f3     80 a 13 0 41 20 4d 65 6d 69 6f 72 20 6f 66 20 52 2f     80 a 14 c 46 72 65 65 20 57 69 6c 6c 0 0 0 78 30     81 0 15 0 4b 72 6f 73 69 73 0 4b 72 6f 73 69 91 f1     81 1 16 5 73 0 9 0 9 0 9 0 9 0 9 0 80 2d     81 7 17 0 9 0 9 0 9 0 9 0 0 0 0 0 bd f4     82 0 18 0 0 4b 72 6f 73 69 73 0 9 0 9 0 47 9c             ^^^     82 4 19 0 9 0 9 0 9 0 9 0 9 0 9 0 1f 7f     82 a 1a 0 9 0 0 0 0 0 0 0 0 0 0 0 1e f8     83 0 1b 0 0 4b 72 6f 73 69 73 0 9 0 9 0 62 1b     83 4 1c 0 9 0 9 0 9 0 9 0 9 0 9 0 31 9f     83 a 1d 0 9 0 0 0 0 0 0 0 0 0 0 0 c6 da     84 0 1e 0 0 4b 72 6f 73 69 73 0 9 0 9 0 8c 40     84 4 1f 0 9 0 9 0 9 0 9 0 9 0 9 0 d4 a3     84 a 20 0 9 0 0 0 0 0 0 0 0 0 0 0 98 d2     8e 0 21 0 0 51 4d 37 32 38 31 39 30 35 32 30 2c cb     8e 1 22 b 34 0 51 4d 37 32 38 31 39 30 35 32 31 28     8e 2 23 a 30 35 0 51 4d 37 32 38 31 39 30 35 1a 5c     8e 3 24 9 32 30 36 0 51 4d 37 32 38 31 39 30 53 af     8e 4 25 8 35 32 30 37 0 51 4d 37 32 38 31 39 6c 0     8e 5 26 7 30 35 32 30 38 0 51 4d 37 32 38 31 c6 9b     8e 6 27 6 39 30 35 32 30 39 0 51 4d 37 32 38 39 e0     8e 7 28 5 31 39 30 35 32 31 30 0 51 4d 37 32 48 67     8e 8 29 4 38 31 39 30 35 32 31 31 0 51 4d 37 bf 19     8e 9 2a 3 32 38 31 39 30 35 32 31 32 0 51 4d 17 fa     8e a 2b 2 37 32 38 31 39 30 35 32 31 33 0 0 6f 43     8f 0 2c 0 0 1 a 0 15 3 3 3 3 0 0 0 5f 7b     8f 1 2d 0 0 0 0 0 0 0 b 3 2e 0 0 0 68 6c     8f 2 2e 0 0 0 0 0 9 0 0 0 0 0 0 0 e7 87 With the album-level field empty cur_track was never incremented,
	causing an off-by-one. Since the CD-TEXT additionally makes use of
	the Tab Indicator the entire CD-TEXT is thrown out as invalid due to
	a tab found in track 1 (that should be track 2).  Fix this by always incrementing cur_track on a termination, even if
	the buffer contains nothing while still avoiding adding any blank
	fields to the parsed CD-TEXT structure.  Include the above CD-TEXT in the test data.

2024-09-01  R. Bernstein <rocky@gnu.org>

	* configure.ac: remove a gcc warning option...  -Wmissing-declarations is obsolete?

2024-05-23  R. Bernstein <rocky@gnu.org>

	* include/cdio/ecma_167.h, lib/driver/_cdio_generic.c,
	lib/driver/image_common.h, lib/driver/mmc/mmc_ll_cmds.c,
	lib/iso9660/iso9660_fs.c, lib/udf/udf_file.c, lib/udf/udf_fs.c,
	test/driver/mmc_read.c, test/driver/mmc_write.c: Remove unneeded >0
	check ...  from last commit and misc lint: * Align style of last commit with current style * Remove declarations from block scope and move to function local
	variables * strip some trailing spaces * Use driver_return_code_t instead of int where it is a   driver_return_code_t * rename i_flags to u_flags where u_flags is an unsigned int

2024-05-22  Mansour Gashasbi <gashasbi@gmail.com>

	* lib/udf/udf_fs.c: Check the validity of i_extended_attr member in
	udf_get_lba()

2024-05-21  R. Bernstein <rocky@gnu.org>

	* lib/udf/udf_fs.c: Merge mismatch...  remove unneeded test, when type becomes unsigned

2024-05-21  R. Bernstein <rocky@gnu.org>

	* THANKS: Add Mansour Gashasbi

2024-05-19  Mansour Gashasbi <gashasbi@gmail.com>

	* lib/iso9660/iso9660_fs.c: Fix overflow in iso9660 dir read
	(32-bit)

2024-05-18  R. Bernstein <rocky@gnu.org>

	* lib/udf/udf_fs.c: Correct type on unicode16_decode function

2024-05-17  R. Bernstein <rocky@gnu.org>

	* lib/iso9660/iso9660_fs.c: Comment out patch incomplete code

2024-05-16  Mansour Gashasbi <gashasbi@gmail.com>

	* lib/iso9660/iso9660_fs.c: Add bounds checking for directory buffer
	size and total size calculation

2024-05-16  Mansour Gashasbi <gashasbi@gmail.com>

	* lib/udf/udf_fs.c: Add input validation to unicode16_decode
	function

2024-05-16  Mansour Gashasbi <gashasbi@gmail.com>

	* lib/driver/_cdio_stdio.c: Limit the maximum read count to prevent
	overflow

2024-05-16  Mansour Gashasbi <gashasbi@gmail.com>

	* lib/iso9660/rock.c: Allocate enough space for growth and
	additional buffer

2024-01-09  R. Bernstein <rocky@gnu.org>

	* include/cdio/iso9660.h, lib/driver/libcdio.sym,
	lib/iso9660/iso9660_fs.c: libcdio.sym: Remove undefined symbols See

	https://lists.gnu.org/archive/html/libcdio-devel/2024-01/msg00000.htmland See https://bugs.gentoo.org/915826 With default options ld.lld-16 and newer fails to link due to
	undefined symbols listed in libddio.sym. Specifically:     cdio_get_default_device_bsdi     cdio_get_devices_bsdi     cdio_have_bsdi     cdio_open_am_bsdi     cdio_open_bsdi     cdio_set_drive_speed     mmc_get_last_lsn     mmc_isrc_track_read_subchannel The definitions for the 5 *_bsdi symbols were removed with commit
	487136b3c6c80bbc772c56e6a388b12db55982f4.  Neither the definition nor declaration appear in the git history for
	the symbols cdio_set_drive_speed and mmc_get_last_lsn.  The definition for was removed with commit
	b427b174e664f632756bb1653fd2463592066fa3.

2023-04-09  R. Bernstein <rocky@gnu.org>

	* .gitignore, Makefile.am: Add new files to distribution

2023-04-03  Thomas Schmitt <scdbackup@gmx.net>

	* test/check_multiextent.sh: Remove blanks from the test names in
	check_multiextent

2023-04-03  Thomas Schmitt <scdbackup@gmx.net>

	* test/README.multiextent, test/check_multiextent.sh,
	test/multiextent_emultocpad.right: Re-add the old multi-extent test
	ISO This image contains a second superblock and 300+ KiB of zeros, as is
	default with an ISO from a run of xorriso using its native commands
	set, i.e. not the mkisofs emulation.

2023-04-09  Thomas Schmitt <scdbackup@gmx.net>

	* : commit f3097ebd1e035858b4f8678b379948700a69388c Author: R.
	Bernstein <rocky@gnu.org> Date:   Sun Apr 2 12:18:21 2023 -0400

2023-04-02  R. Bernstein <rocky@gnu.org>

	* include/cdio/iso9660.h: Align iso9660.h definition name and
	implementation we use prefix p_ to indicate a pointer.

2023-03-31  Thomas Schmitt <scdbackup@gmx.net>

	* : Merging branch joliet_multi_extent.

2023-03-27  Robert Kausch <robert.kausch@freac.org>

	* doc/libcdio.texi, src/cd-info.c, src/cddb.c: Update freedb
	references to GnuDB.  freedb was shut down in 2020.

2023-03-26  R. Bernstein <rocky@gnu.org>

	* configure.ac: Bump version to dev

2023-03-26  R. Bernstein <rocky@gnu.org>

	* configure.ac: Partial update of configure.ac..  to track autoconf and automake changes.  autoupdate used. However some of the changes were not accepted.

2023-03-26  Thomas Schmitt <scdbackup@gmx.net>

	* : Explicit initialization of tm_temp_tmp

2023-03-22  Pete Batard <pbatard@gmail.com>

	* lib/iso9660/rock.c: Add processing of Rock Ridge CE records Use the processed cont_extent to read the relevant continuation
	block once the current extensions have been processed. The code is
	designed to handle chained CE blocks if needed, and we also add code
	to detect ISOs that are abusing the specs to loop CEs.  Also clean
	up the CHECK...() macros and fix some whitespace issues.

2023-03-22  Pete Batard <pbatard@gmail.com>

	* include/cdio/rock.h, lib/iso9660/rock.c: Clean up rock.h and fix
	the use of char arrays in iso_su_ce_s Using char arrays for extent, offset and size results in from_733()
	issues when processing CE data.  Also harmonize to always use stdint
	types where possible.

2023-03-15  Robert Kausch <robert.kausch@freac.org>

	* lib/driver/osx.c: Fix crash reading CD TOC on macOS Ventura Remove unnecessary additional byte added to the TOC buffer length
	and length of the range requested from CFDataGetBytes. As of macOS
	Ventura, CFDataGetBytes checks the requested length and asserts if
	more data than available is requested.

2022-10-30  R. Bernstein <rocky@gnu.org>

	* lib/iso9660/rock.c: Correct NULL termination for Rock Ridge dir
	attrs Patch found by Sija Kijin and posted to libcdio-devel on Oct 20,
	2022.  See

	https://lists.gnu.org/archive/html/libcdio-devel/2022-10/msg00000.html

2022-08-24  R. Bernstein <rocky@gnu.org>

	* test/driver/realpath.c: Correct realpath test failure See https://savannah.gnu.org/bugs/?62948 Patch courtesy of Martin
	Liška <marxin>

2022-06-25  Thomas Schmitt <scdbackup@gmx.net>

	* lib/iso9660/iso9660_fs.c: Bug fix: Recognition of multi-extent
	files was broken if Joliet is present

2022-02-02  Miguel Borges de Freitas <enen92@kodi.tv>

	* lib/driver/gnu_linux.c: Use getmntent/setmntent for reading mounts Since fields in the mtab and fstab files are separated by
	whitespace, octal escapes are used to represent the characters space
	(\040), tab (\011), newline (\012), and backslash (\\) in those
	files when they occur in one of the four strings in a mntent
	structure.  The routines addmntent() and getmntent() will convert
	from string representation to escaped representation and back.  When
	converting from escaped representation, the sequence \134 is also
	converted to a backslash.

2022-01-23  R. Bernstein <rocky@gnu.org>

	* example/cdchange.c, lib/driver/gnu_linux.c: Bump copyright

2021-10-10  Lukas Prediger <lumip@lumip.de>

	* example/cdchange.c, lib/driver/gnu_linux.c: Multiprocess robust cd
	change detection The new CDROM_TIMED_MEDIA_CHANGE ioctl introduced with Linux v5.16
	allows media change detection to work robustly for multiple
	processes.  This commit adapts libcdio to use this new ioctl request
	if compiled against kernel v5.16 or newer. It retains the old
	behavior for older kernels.

2021-11-01  R. Bernstein <rocky@gnu.org>

	* src/cdda-player.c: Bump copyright

2021-11-01  Sergei Trofimovich <slyich@gmail.com>

	* src/cdda-player.c: src/cdda-player.c: always use "%s"-style format
	for printf()-style functions `ncuses-6.3` added printf-style function attributes and now makes it
	easier to catch cases when user input is used in place of format
	string when built with CFLAGS=-Werror=format-security:     cdda-player.c:1032:31:       error: format not a string literal and no format arguments
	     [-Werror=format-security] 1032 |         mvprintw(i_line++, 0,
	          line); |                               ^~~~ Let's wrap all the missing places with "%s" format.

2021-09-06  R. Bernstein <rocky@gnu.org>

	* src/iso-read.c: Correct name of iso files in error message.

2021-03-01  R. Bernstein <rocky@gnu.org>

	* : commit 95479463eee2c4f84586d8a35d0fe678e54d2d1f Merge: 197fcef4
	73358383 Author: R. Bernstein <rocky@gnu.org> Date:   Sun Feb 28
	16:35:30 2021 -0500

2021-02-28  R. Bernstein <rocky@gnu.org>

	* : commit 73358383f15558f5646d1f19f3691cbd2a1ad660 Author: R.
	Bernstein <rocky@gnu.org> Date:   Sun Feb 28 16:34:41 2021 -0500

2020-07-02  Pete Batard <pete@akeo.ie>

	* test/data/Makefile.am: Fix make distcheck

2020-05-29  Pete Batard <pete@akeo.ie>

	* test/Makefile.am, test/check_deep_directory.sh,
	test/data/Makefile.am, test/data/deep_directory1_file,
	test/data/deep_directory2_file, test/deep_directory.right: Add Rock
	Ridge deep directory test The test is designed to test more than one level of deep
	directories.  Also the ISO is designed so that the folder with deep directory
	children (/1/) appears before the target (/rr_moved/), so that any endless
	recursion during lookup of the CL target will be tested.  In other
	words, this validates that the deep directory lookup doesn't only
	work if the CL target can be listed before the CL source.

2020-05-28  Pete Batard <pete@akeo.ie>

	* include/cdio/rock.h, lib/driver/cdio_private.h,
	lib/iso9660/iso9660_fs.c, lib/iso9660/rock.c: Add Rock Ridge deep
	directory support In order to locate the target of a child link, we need to be able to
	call iso9660_[i]fs_find_lsn() from within get_rock_ridge_filename()
	which means that we need to add an additional image parameter for
	the handful of calls that are used during directory traversing. We
	also need to use a special version of the call, that works with DD
	disabled, since we need to process RE entries, i.e the directories
	that contain the CL target, as well as ignore CL elements
	altogether, so that we don't end up with an endless recursion.  All of the above can be achieved by also carrying a 'DISABLE_RR_DD'
	flag in the image. However since we need to ensure that we handle
	both iso9660_t as well as CdIo_t as the image, we modify both
	structures so that they have a common header which we can reference.  Note that the approach of turning Rock Ridge extensions altogether
	during LSN seek (through the use of the iso9660_t extension mask for
	instance) is not appropriate as we do want to be able to retrieve
	other Rock Ridge attributes, such as long filenames, for the child
	link target, hence the requirement to being able to disable deep
